Subject: bug#10313: configure fails to find include path on openbsd

From: Glenn Morris <[email-masked]>
Date: Mon, 02 Jan 2012 13:42:35 -0500

I agree that the Emacs build process should not add /usr/local back to
the include etc paths if the BSDs have decided to remove it.
(I assume this is true for all of them, not just OpenBSD?)

So rather than adding this patch, I suggest doing nothing for Emacs
24.1, but after that actually removing the existing configure.in piece
that sets LD_SWITCH_SYSTEM to /usr/local/lib for freebsd.

Does the same apply to /usr/pkg for netbsd (see configure.in)?

Though it seems odd to me to have a system where gcc does not look in
/usr/local, yet that is where packages get installed. If I were using
such a system, I'd just end up putting /usr/local in CPPFLAGS and
LDFLAGS all the time. Are things in /usr/local found at run-time, or do
they also have to set LD_LIBRARY_PATH, or use -rpath as well during
compilation (the netbsd entry in configure.in uses the latter)?